Supported devices for Animal Crossing: Pocket Camp - Nintendo Everything

Submit a news tip



Supported devices for Animal Crossing: Pocket Camp

Posted on October 25, 2017 by (@NE_Brian) in Mobile, News

The official website for Animal Crossing: Pocket Camp provides information about supported devices.

On iOS, the game works with iPhone, iPod touch, and iPad devices running iOS 9.0 or newer. Keep in mind this does not include iPhone 4S/5/5c, iPad 2/3rd Generation/4th Generation/mini, and iPod Touch 5th Generation.

Android users can play Animal Crossing: Pocket Camp on Android OS 4.2 or newer. Nintendo does note that there may be some exceptions.

Most of the world will need to wait until late November for Animal Crossing: Pocket Camp. But in Australia, the game is out now on iOS and Android.

Source

Leave a Reply

  • Hidden Flare

    I have iOS 10 on my iPhone 5(think I have an iPhone 5S?). Sure it won’t work?

  • JasonBall

    I wish they’d bring this and others to Amazon tablets. AC is just the thing my mother would fall in love with and spend money and time on but all she has is a Amazon tablet.

  • chancetime

    Playing it now (it’s good to be Aussie) and while it does feel like Animal Crossing Lite, it’s still fun enough. Planned only to play 20 minutes at noon and ended up accidentally spending an hour and a half 😛

  • Carlos

    I have a 5c, but it’s at version 10, so hopefully it’ll work fine.

  • Not supporting the iPad 4 seems a bit arbitrary… my kids are a bit bummed.

  • KIRWEN1004

    Why isn’t it supported for the 5th gen iPod Touch when it runs the same OS as the 6th?

  • Marlene Clausing Robinson

    Why won’t it work on kindle I like playing it.